{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node-terminal",
            "request": "launch",
            "name": "Launch Program",
            "command": "npm run-script build-source; npm run-script start",
            "outFiles": [
                "${workspaceFolder}/**/*.js",
                "!**/node_modules/**"
            ]
        },
        {
            "type": "node-terminal",
            "request": "launch",
            "name": "Test Program",
            "command": "npm run-script build; npm run-script test",
            "outFiles": [
                "${workspaceFolder}/**/*.js",
                "!**/node_modules/**"
            ]
        },
        {
            "type": "node-terminal",
            "request": "launch",
            "name": "Unit-Tests",
            "command": "npm run-script build-source; npm run-script test-unit",
            "outFiles": [
                "${workspaceFolder}/**/*.js",
                "!**/node_modules/**"
            ]
        },
        {
            "type": "node-terminal",
            "request": "launch",
            "name": "Integration-Tests",
            "command": "npm run-script build-source; npm run-script build-tests; npm run-script test-integration",
            "outFiles": [
                "${workspaceFolder}/**/*.js",
                "!**/node_modules/**"
            ]
        },
        {
            "type": "node-terminal",
            "request": "launch",
            "name": "E2E-Tests",
            "command": "npm run-script build-source; npm run-script test-e2e",
            "outFiles": [
                "${workspaceFolder}/**/*.js",
                "!**/node_modules/**"
            ]
        },
    ],
    "debug.javascript.autoAttachSmartPattern": []
}